Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class EditorInputProxy

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy

All Implemented Interfaces:
  IAdaptable, IEditorInput, MEditingDomainElement

Direct Known Subclasses:
  PathEditorInputProxy, StorageEditorInputProxy

public class EditorInputProxy
extends java.lang.Object
implements IEditorInput, MEditingDomainElement

Field Summary
`protected org.eclipse.emf.transaction.TransactionalEditingDomain` `editingDomain`
`protected IEditorInput` `fProxied`

Constructor Summary
`EditorInputProxy(IEditorInput input, org.eclipse.emf.transaction.TransactionalEditingDomain domain)`

Method Summary
`boolean` `equals(java.lang.Object arg0)`
`boolean` `exists()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()`
`IPersistableElement` `getPersistable()`
`java.lang.String` `getToolTipText()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fProxied

    protected IEditorInput fProxied

### editingDomain

    protected org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain

Constructor Detail

### EditorInputProxy

    public EditorInputProxy(IEditorInput input,
                            org.eclipse.emf.transaction.TransactionalEditingDomain domain)

Parameters:
  `input` - IEditorInput
  `domain` - EditingDomain

Method Detail

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `IEditorInput`

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `IEditorInput`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IEditorInput`

### getPersistable

    public IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `IEditorInput`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `IEditorInput`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `IAdaptable`

### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `MEditingDomainElement`
  Returns:
    The editing domain for this diagram document

### equals

    public boolean equals(java.lang.Object arg0)

### hashCode

    public int hashCode()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.